Summary:	Typical installation tasks for system administrators
Name:		perl-Sysadm-Install
Version:	0.33
Release:	1%{?dist}
License:	GPL+ or Artistic
Group:		Development/Libraries
Url:		http://search.cpan.org/dist/Sysadm-Install/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MS/MSCHILLI/Sysadm-Install-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:	noarch
BuildRequires:	perl(Archive::Tar)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Expect)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(File::Basename)
BuildRequires:	perl(File::Copy)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Temp) >= 0.16
BuildRequires:	perl(Log::Log4perl) >= 1.00
BuildRequires:	perl(LWP::UserAgent)
BuildRequires:	perl(Term::ReadKey)
# For test suite
BuildRequires:	perl(Test::More)
# Runtime deps not automatically picked up by RPM
Requires:	perl(Archive::Tar)
Requires:	perl(Expect)
Requires:	perl(LWP::UserAgent)

%description
"Sysadm::Install" executes shell-like commands performing typical
installation tasks: Copying files, extracting tarballs, calling "make".
It has a "fail once and die" policy, meticulously checking the result of
every operation and calling "die()" immediately if anything fails,
with optional logging of everything.

"Sysadm::Install" also supports a *dry_run* mode, in which it logs
everything, but suppresses any write actions.

%prep
%setup -q -n Sysadm-Install-%{version}

# Fix perl interpreter in eg/mkperl
%{__perl} -pi -e 's|/usr/local/bin/perl|%{__perl}|;' eg/mkperl

# Note: not turning off exec bits in examples because they don't
# introduce any unwanted dependencies

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test TEST_VERBOSE=1

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{__chmod} -R u+w %{buildroot}/*

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README eg
# one-liner is an overly-generic name to include in %{_bindir} and is included
# as %doc if needed
%exclude %{_bindir}/one-liner
%{perl_vendorlib}/Sysadm/
%{_mandir}/man3/Sysadm::Install.3pm*

%changelog
* Mon Sep 14 2009 Paul Howarth <paul@city-fan.org> 0.33-1
- Update to 0.33
  - No longer require perl(Encode)
  - Use perl(LWP::UserAgent) rather than perl(LWP::Simple)

* Tue Sep  1 2009 Paul Howarth <paul@city-fan.org> 0.32-1
- Update to 0.32 (make UTF-8 handling configurable, not automatic)

* Fri Aug 28 2009 Paul Howarth <paul@city-fan.org> 0.31-1
- Update to 0.31 (improved UTF-8 support)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.29-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul  3 2009 Paul Howarth <paul@city-fan.org> 0.29-1
- Update to 0.29
  - Add proper error handling to print and pipe statements
  - Fix up some "if $dir" cases to protect against a value of "0" in $dir
  - Fix up logcroak calls to use the current logger

* Tue May 12 2009 Paul Howarth <paul@city-fan.org> 0.28-1
- Update to 0.28 (fixed download() with a better check for getstore())

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> 0.27-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct  9 2008 Paul Howarth <paul@city-fan.org> 0.27-2
- Incorporate comments from package review (#466223)
  - don't include one-liner in %%{_bindir}
  - tighten up %%description

* Thu Oct  9 2008 Paul Howarth <paul@city-fan.org> 0.27-1
- Initial RPM version
